<!-- Top Navbar-->
<div class="navbar">
  <div class="navbar-inner">
    <div class="left">
      <a href="index.html" class="link"><i class="icon icon-back"></i><span>Home</span></a>
    </div>
    <div class="center sliding">Turni<span class="titolo_navbar_ps">PS</span></div>
    <div class="right">
      <a href="#" class="link icon-only open-panel"><i class="icon icon-bars"></i></a>
    </div>
  </div>
</div>
<div class="pages">
  <div data-page="gestione-turnario" class="page">
    <div class="page-content">
      <div class="content-block">
        <div class="title-top"><i class="fa fa-calendar" aria-hidden="true"></i>&nbsp;Gestione Turnario</div>
        <p class="p_tut">
          Elenco di tutti i turnari salvati.<br>
          Verranno visualizzati in maniera ciclica sul calendario.<br>N.B. Il turno impostato sarà solo visuale.
        </p>

        <div class="btn-form" style="margin-top:30px;">

          <a href="#" class="button button-fill open-popup" data-popup=".popup-nuovo-turnario" onclick="restBtnTurnario()"><i class="fa fa-calendar-plus-o" aria-hidden="true"></i>&nbsp;Inserisci Nuovo</a>

        </div>
        <div class="list-block inset ombra">
          <ul id="turni_li"></ul>
        </div>
      </div>

      <div class="popup popup-nuovo-turnario" style="background-color: #efeff4;">
        <div class="content-block">
          <p><a href="#" class="close-popup">Chiudi</a></p>
          <div class="content-block">
            <div class="title-top"><i class="fa fa-calendar" aria-hidden="true"></i>&nbsp;Inserimento Turnario</div>
            <p class="p_tut">Salvando il tuo schema, la data iniziale e finale del tuo turno, verrà visualizzato in maniera ciclica sul calendario.<br>N.B. Il turno impostato sarà solo visuale.
            </p>
          </div>
          <div class="list-block inset ombra">
            <form action="#" method="POST" name="form_data_turnario" id="form_data_turnario">
              <input type="hidden" id="id-turnario" name="id-turnario">
              <ul>
                <li>
                  <div class="item-content">
                    <div class="item-media"><i class="fa fa-dot-circle-o" aria-hidden="true"></i></div>
                    <div class="item-inner">
                      <div class="item-title label">Nome</div>
                      <div class="item-input">
                        <input type="text" id="nome-turnario" name="nome-turnario" placeholder="es. Turno in 5°">
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="item-content">
                    <div class="item-media"><i class="fa fa-clock-o" aria-hidden="true"></i></div>
                    <div class="item-inner">
                      <div class="item-title label">Data Inizio</div>
                      <div class="item-input">
                        <input type="date" id="start-data-turnario" name="start-data-turnario" oninput="$('#end-data-turnario').val(dataMinYear($('#start-data-turnario').val(),730))">
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="item-content">
                    <div class="item-media"><i class="fa fa-clock-o" aria-hidden="true"></i></div>
                    <div class="item-inner">
                      <div class="item-title label">Data Fine</div>
                      <div class="item-input">
                        <input type="date" id="end-data-turnario" name="end-data-turnario">
                      </div>
                    </div>
                  </div>
                </li>
                <li class="item-divider text-center-12px">CREA IL TUO SCHEMA</li>
                <li>
                  <div class="rowTag">
                    <div class="chip" onclick="addTurnoSchema('Mattina','m')">
                      <div class="chip-label">Mattina</div>
                    </div>
                    <div class="chip" onclick="addTurnoSchema('Sera','s')">
                      <div class="chip-label">Sera</div>
                    </div>
                    <div class="chip" onclick="addTurnoSchema('Notte','n')">
                      <div class="chip-label">Notte</div>
                    </div>
                    <div class="chip" onclick="addTurnoSchema('Riposo','r')">
                      <div class="chip-label">Riposo</div>
                    </div>
                    <div class="chip" onclick="addTurnoSchema('Pomeriggio','p')">
                      <div class="chip-label">Pomeriggio</div>
                    </div>
                  </div>
                </li>
                <li class="li-tag">
                  <div id="resultTag"></div>
                </li>
              </ul>
            </form>

          </div>
          <div class="tutorial_turnario">
            Crea il tuo schema cliccando sul nome del turno e componendo il tuo turnario<br> oppure utilizza uno schema predefinito
          </div>
          <div class="title-tag">Schemi predefiniti</div>
          <div class="content-block" id="schemi-star" style="margin:10px 0 25px 0;">
            <div class="chip" onclick='initTags(["s", "p", "m","n","r"],"star")'>
              <div class="chip-media bg-orange"><i class="fa fa-star" aria-hidden="true"></i></div>
              <div class="chip-label">Turno in 5°</div>
            </div>
            <div class="chip" onclick='initTags(["p", "m", "n","r","r"],"star")'>
              <div class="chip-media bg-orange"><i class="fa fa-star" aria-hidden="true"></i></div>
              <div class="chip-label">Turno in 3°</div>
            </div>
          </div>
          <div id="btn-salva-turnario" class="btn-form" style="margin-bottom: -10px;">
            <a href="#" id="btn-salva-data-turnario" class="button button-big button-fill" onclick="salvaDataTurnarioSingola(false);">Salva</a>
          </div>
          <div id="btn-edit-turnario" class="btn-2-form">
            <div class="row">
              <div class="col-50"><a href="#" class="button button-big button-fill" onclick="salvaDataTurnarioSingola(true);"><i class="fa fa-refresh"></i> Aggiorna</a></div>
              <div class="col-50"><a href="#" class="button button-big button-fill color-red" onclick="eliminaTurnarioSingolo();"><i class="fa fa-trash-o"></i> Elimina</a></div>
            </div>
          </div> <!-- // btn-edit-turnario -->
        </div>
      </div>
    </div>
  </div>
</div>